/*******************************************************************************
  MPLAB Harmony Graphics Asset Header File

  File Name:
    gfx_assets.h

  Summary:
    Header file containing a list of asset specifications for use with the
	MPLAB Harmony Graphics Stack.

  Description:
    Header file containing a list of asset specifications for use with the
	MPLAB Harmony Graphics Stack.

    Created with MPLAB Harmony Version 2.05
*******************************************************************************/

// DOM-IGNORE-BEGIN
/*******************************************************************************
Copyright (c) 2013-2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
*******************************************************************************/
// DOM-IGNORE-END

#ifndef GFX_ASSETS_H
#define GFX_ASSETS_H

#include "gfx/utils/gfx_utils.h"

// DOM-IGNORE-BEGIN
#ifdef __cplusplus  // Provide C++ Compatibility
extern "C" {
#endif
// DOM-IGNORE-END 

/*** Generated Asset Descriptors ***/
/*****************************************************************************
 * MPLAB Harmony Graphics Asset Location IDs
 *****************************************************************************/
#define GFXU_ASSET_LOCATION_ID_INTERNAL    0
 
/*****************************************************************************
 * MPLAB Harmony Graphics Image Assets
 *****************************************************************************/
/*********************************
 * GFX Image Asset
 * Name:   NewHarmonyLogo
 * Size:   300x180 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset NewHarmonyLogo;
	
/*********************************
 * GFX Image Asset
 * Name:   greenPowerBut
 * Size:   64x64 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset greenPowerBut;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_1
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_1;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_10
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_10;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_11
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_11;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_12
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_12;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_13
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_13;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_14
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_14;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_15
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_15;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_16
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_16;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_17
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_17;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_18
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_18;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_19
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_19;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_2
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_2;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_20
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_20;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_21
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_21;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_22
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_22;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_23
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_23;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_24
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_24;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_25
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_25;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_3
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_3;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_4
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_4;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_5
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_5;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_6
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_6;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_7
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_7;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_8
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_8;
	
/*********************************
 * GFX Image Asset
 * Name:   mchip_logo_9
 * Size:   200x115 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset mchip_logo_9;
	
/*********************************
 * GFX Image Asset
 * Name:   blackPowerBut
 * Size:   70x61 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset blackPowerBut;
	
/*********************************
 * GFX Image Asset
 * Name:   greyPowerBut
 * Size:   73x64 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset greyPowerBut;
	
/*********************************
 * GFX Image Asset
 * Name:   darkGreenBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset darkGreenBat;
	
/*********************************
 * GFX Image Asset
 * Name:   emptyBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset emptyBat;
	
/*********************************
 * GFX Image Asset
 * Name:   lightGreenBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset lightGreenBat;
	
/*********************************
 * GFX Image Asset
 * Name:   orangeBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset orangeBat;
	
/*********************************
 * GFX Image Asset
 * Name:   redBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset redBat;
	
/*********************************
 * GFX Image Asset
 * Name:   redOrangeBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset redOrangeBat;
	
/*********************************
 * GFX Image Asset
 * Name:   yellowBat
 * Size:   25x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset yellowBat;
	
/*********************************
 * GFX Image Asset
 * Name:   info
 * Size:   60x54 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset info;
	
/*********************************
 * GFX Image Asset
 * Name:   close
 * Size:   24x24 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset close;
	
/*********************************
 * GFX Image Asset
 * Name:   plugged
 * Size:   50x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset plugged;
	
/*********************************
 * GFX Image Asset
 * Name:   unplugged
 * Size:   50x50 pixels
 * Mode:   RGB_565
 * Format: RAW
 ***********************************/
extern GFXU_ImageAsset unplugged;
	
/*****************************************************************************
 * MPLAB Harmony Graphics Font Assets
 *****************************************************************************/
/*********************************
 * GFX Font Asset
 * Name:         TimesNewRoman18
 * Height:       22
 * Style:        Bold
 * Glyph Count:  0
 * Range Count:  0
 ***********************************/
extern GFXU_FontAsset TimesNewRoman18;
	
/*********************************
 * GFX Font Asset
 * Name:         TimesNewRoman12
 * Height:       14
 * Style:        Plain
 * Glyph Count:  0
 * Range Count:  0
 ***********************************/
extern GFXU_FontAsset TimesNewRoman12;
	
/*********************************
 * GFX Font Asset
 * Name:         TrebuchetMS
 * Height:       21
 * Style:        Bold
 * Glyph Count:  44
 * Range Count:  16
 * Glyph Ranges: 0x20
			     0x28-0x29
			     0x2C-0x2D
			     0x31-0x32
			     0x36-0x38
			     0x3A
			     0x41-0x43
			     0x46-0x47
			     0x49
			     0x4B-0x4D
			     0x50
			     0x52-0x53
			     0x61-0x69
			     0x6C-0x75
			     0x77
			     0x79
 ***********************************/
extern GFXU_FontAsset TrebuchetMS;
	
/*********************************
 * GFX Font Asset
 * Name:         TrebuchetMS_1
 * Height:       31
 * Style:        Bold
 * Glyph Count:  0
 * Range Count:  0
 ***********************************/
extern GFXU_FontAsset TrebuchetMS_1;
	
/*****************************************************************************
 * MPLAB Harmony Graphics String Table
 *****************************************************************************/
/*********************************
 * GFX String Table
 * Name:         stringTable
 * Encoding:     ASCII
 * Languages:    default
 * String Count: 7
 ***********************************/
// language IDs
#define language_default    0

// string IDs
#define string_GFX_BasicMotion    0
#define string_Instructions    1
#define string_Line1    2
#define string_Line2    3
#define string_Line3    4
#define string_Line4    5
#define string_Line5    6
 
extern GFXU_StringTableAsset stringTable;

//DOM-IGNORE-BEGIN
#ifdef __cplusplus
}
#endif
//DOM-IGNORE-END

#endif /* GFX_ASSETS_H */

